Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1434980

Summary: kompose-debuginfo-0.3.0-0.1.git135165b lacks sources
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: komposeAssignee: Dusty Mabe <dustymabe>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: dustymabe, surajssd009005, tkral
Target Milestone: ---Keywords: Regression, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 17:44:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2017-03-22 20:00:00 UTC
kompose-debuginfo-0.3.0-0.1.git135165b is missing sources. 0.1.2-0.1.git92ea047 did not have this issue.

Comment 1 Dusty Mabe 2017-03-22 20:20:50 UTC
should be fixed by https://koji.fedoraproject.org/koji/taskinfo?taskID=18526906

Comment 2 Ville Skyttä 2017-03-23 14:42:25 UTC
(In reply to Dusty Mabe from comment #1)
> should be fixed by
> https://koji.fedoraproject.org/koji/taskinfo?taskID=18526906

It's not fixed, that's exactly the version I reported this against.

Comment 3 Dusty Mabe 2017-03-23 15:13:39 UTC
you reported it against kompose-debuginfo-0.3.0-0.1.git135165b which is actually not a full identifier of an rpm.

The rpm in the repo at that time was from f26, i.e. it was this build: 
https://koji.fedoraproject.org/koji/buildinfo?buildID=867805

The rpm I built yesterday has the f27 release on it:
https://koji.fedoraproject.org/koji/buildinfo?buildID=867806

The source rpm for that build is here: https://kojipkgs.fedoraproject.org//packages/kompose/0.3.0/0.1.git135165b.fc27/src/kompose-0.3.0-0.1.git135165b.fc27.src.rpm

Comment 4 Ville Skyttä 2017-03-23 16:12:04 UTC
(In reply to Dusty Mabe from comment #3)
> you reported it against kompose-debuginfo-0.3.0-0.1.git135165b which is
> actually not a full identifier of an rpm.

Yes, intentionally so. All debuginfo packages with that prefix for all distro versions (and arches) appear to have the same problem, so IMO it would not add any value to list every single one of them. On the contrary actually, it would just add confusing noise because the issue is not distro or arch specific.

Comment 5 Dusty Mabe 2017-03-23 16:17:21 UTC
ok, my apologies. since this was reported against rawhide and it wasn't explicitly stated in the description, I assumed this was a problem with the rawhide version of the package. Also there were some issues a while back where the package wouldn't build in rawhide for ppc and that was since fixed by the person who broke the debuginfo builds on ppc. I thought that building a new rpm would fix whatever problem you were reporting.

That being said, I still don't really know what the actual problem is. Can you please explain to me in detail what "kompose-debuginfo-0.3.0-0.1.git135165b is missing sources" means?

Comment 6 Ville Skyttä 2017-03-23 16:26:14 UTC
(In reply to Dusty Mabe from comment #5)
> Can
> you please explain to me in detail what
> "kompose-debuginfo-0.3.0-0.1.git135165b is missing sources" means?

See the "DebugInfo" blocker bug for links to detailed explanations.

Comment 7 Dusty Mabe 2017-03-23 16:44:51 UTC
I see that my debuginfo package doesn't have a lot of files in it:

[dustymabe@media doo]$ rpm2cpio ./kompose-debuginfo-0.3.0-0.1.git135165b.fc27.x86_64.rpm | cpio -idv 
./usr/lib/debug
./usr/lib/debug/.build-id
./usr/lib/debug/.build-id/e4
./usr/lib/debug/.build-id/e4/0e1160c31b84f887c06023adec7c5d4372dbb8
./usr/lib/debug/.build-id/e4/0e1160c31b84f887c06023adec7c5d4372dbb8.debug
./usr/lib/debug/usr
./usr/lib/debug/usr/bin
./usr/lib/debug/usr/bin/kompose-0.3.0-0.1.git135165b.fc27.x86_64.debug
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib/golang
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib/golang/src
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib/golang/src/net
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib/golang/src/os
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib/golang/src/os/user
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib/golang/src/runtime
./usr/src/debug/kompose-0.3.0-0.1.git135165b.fc27.x86_64/usr/lib/golang/src/runtime/cgo

but i'm not sure how to change that. I can change the macro to set `%global with_debug 0` so that I don't build a debuginfo package. I assume this has something to do with the fact that we are using bundled deps, but I'm not sure.


Will have to ask jchaloup for help.

Comment 8 Jan Kurik 2017-08-15 07:42:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 9 Ben Cotton 2018-11-27 18:35:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-30 17:44:28 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.